{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 14,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 140,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 20,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 4,
        "max": 4,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
			"type": "minecraft:loot_table",
			"weight": 25,
			"quality": 5,
			"name": "minecraft:customitems/paladinsshield"
		},
        {
			"type": "minecraft:loot_table",
			"weight": 25,
			"quality": 5,
			"name": "minecraft:customitems/damageshield"
		},
        {
			"type": "minecraft:loot_table",
			"weight": 25,
			"quality": 5,
			"name": "minecraft:customitems/heavyshield"
		},
        {
			"type": "minecraft:loot_table",
			"weight": 25,
			"quality": 5,
			"name": "minecraft:customitems/agileshield"
		},
        {
          "type": "item",
          "weight": 10000,
          "quality": -20,
          "name": "minecraft:air"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 6,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            },
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:diamond_pickaxe"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:diamond_shovel"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "functions": [
            {
              "function": "minecraft:set_damage",
              "damage": {
                "min": 0.1,
                "max": 0.9
              }
            },
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:crossbow"
        },
        {
          "type": "minecraft:item",
          "weight": 6,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:ancient_debris"
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:netherite_scrap"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 10,
                "max": 22,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:spectral_arrow"
        },
        {
          "type": "minecraft:item",
          "weight": 9,
          "quality": -3,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:piglin_banner_pattern"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:music_disc_pigstep"
        },
        {
          "type": "minecraft:item",
          "weight": 12,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 10,
                "max": 17,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:golden_carrot"
        },
        {
          "type": "minecraft:item",
          "weight": 9,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_apple"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:enchant_randomly",
              "enchantments": [
                "minecraft:soul_speed"
              ]
            }
          ],
          "name": "minecraft:book"
        }
      ]
    },
    {
      "rolls": 2,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_damage",
              "damage": {
                "min": 0.1,
                "max": 0.9
              }
            },
            {
              "function": "minecraft:set_count",
              "count": 1
            },
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:iron_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:iron_block"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            },
            {
              "function": "minecraft:enchant_randomly",
              "enchantments": [
                "minecraft:soul_speed"
              ]
            }
          ],
          "name": "minecraft:golden_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            },
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:golden_axe"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:gold_block"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:crossbow"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:golden_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:crying_obsidian"
        }
      ]
    },
    {
      "rolls": {
        "min": 3,
        "max": 4,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 12,
          "quality": 4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gilded_blackstone"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 10,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:chain"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": 4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:magma_cream"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bone_block"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_nugget"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 5,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:obsidian"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_nugget"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": -4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:string"
        },
        {
          "type": "minecraft:item",
          "weight": 40,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 5,
                "max": 17,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:arrow"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": 1
            }
          ],
          "name": "minecraft:cooked_porkchop"
        }
      ]
    },
	{
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 110,
		  "quality": -11
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:snout_armor_trim_smithing_template",
		  "weight": 10
        }
      ],
      "rolls": 1.0
    },
    {
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 90,
		  "quality": -9
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_upgrade_smithing_template",
		  "weight": 10
        }
      ],
      "rolls": 1.0
    }
  ]
}
